Package org.apache.storm.sql

## Class AbstractStreamsProcessor

- java.lang.Object
- - org.apache.storm.sql.AbstractStreamsProcessor

-     public abstract class AbstractStreamsProcessor
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected List<CompilingClassLoader>` | `classLoaders` |
    `protected org.apache.calcite.DataContext` | `dataContext` |
    `protected Stream<Values>` | `outputStream` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `AbstractStreamsProcessor()` |

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `abstract StormTopology` | `build()` | Construct the Storm topology based on the SQL.
    `List<CompilingClassLoader>` | `getClassLoaders()` | Return the list of Classloaders which need to be compiled and included to the jar.
    `org.apache.calcite.DataContext` | `getDataContext()` | Return DataContext instance which is used with execution of query.
    `Stream<Values>` | `outputStream()` | Return final output stream of SQL topology structure.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### outputStream

          protected Stream<Values> outputStream

    - #### dataContext

          protected org.apache.calcite.DataContext dataContext

    - #### classLoaders

          protected List<CompilingClassLoader> classLoaders

  - ### Constructor Detail

    - #### AbstractStreamsProcessor

          public AbstractStreamsProcessor()

  - ### Method Detail

    - #### outputStream

          public Stream<Values> outputStream()

      Return final output stream of SQL topology structure.
      Returns:
        the output stream of the SQL

    - #### build

          public abstract StormTopology build()

      Construct the Storm topology based on the SQL.

    - #### getDataContext

          public org.apache.calcite.DataContext getDataContext()

      Return DataContext instance which is used with execution of query.
      Returns:
        DataContext instance which is used with execution of query

    - #### getClassLoaders

          public List<CompilingClassLoader> getClassLoaders()

      Return the list of Classloaders which need to be compiled and included to the jar. They're all chaining so the last classloader can access all classes.
      Returns:
        Classloaders to compile.